Charles Lepple | 1 Mar 05:33 2009
Picon

Re: trac-py25-0.11.3-1001 appears to be missing build dependency

On Feb 28, 2009, at 3:40 PM, Richard Cobbe wrote:

> Then I did a "fink install setuptools-py25" followed by another "fink
> update-all".  With this, trac-py25 built successfully.
>
> I don't know whether trac needs setuptools in order to run; I  
> haven't tried
> yet.

Thanks, good catch. Looks like it needs it at runtime, too.

Updated in CVS.

--

-- 
Charles Lepple
clepple <at> gmail

------------------------------------------------------------------------------
Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
-OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
-Strategies to boost innovation and cut costs with open source participation
-Receive a $600 discount off the registration fee with the source code: SFAD
http://p.sf.net/sfu/XcvMzF8H
Richard Cobbe | 1 Mar 14:22 2009

Re: trac-py25-0.11.3-1001 appears to be missing build dependency

On Sat, Feb 28, 2009 at 11:33:28PM -0500, Charles Lepple wrote:
> On Feb 28, 2009, at 3:40 PM, Richard Cobbe wrote:
>
> > Then I did a "fink install setuptools-py25" followed by another "fink
> > update-all".  With this, trac-py25 built successfully.
> >
> > I don't know whether trac needs setuptools in order to run; I
> > haven't tried
> > yet.
>
> Thanks, good catch. Looks like it needs it at runtime, too.

Ah -- good to know.  Thanks!

> Updated in CVS.

Great -- thanks a bunch for your quick response!

Richard

------------------------------------------------------------------------------
Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
-OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
-Strategies to boost innovation and cut costs with open source participation
-Receive a $600 discount off the registration fee with the source code: SFAD
http://p.sf.net/sfu/XcvMzF8H
KURT PETERS | 1 Mar 22:49 2009
Picon

Re: Still cannot install ffmpeg

renaming libintl.la did the trick.  It installs now. 

two more questions, though:
1.  At one point in the installation, it asks to keep my old X11 file or use the one supplied by FINK.  Since I'm using 10.5 I said "keep the one I got".  Is that right?
2.  Is there a list of codecs I can get (like from medibuntu) or will the ffmpeg use the OSX ones for wmvs, mp3s, dvds, etc.?

Regards,
Kurt


> Date: Sat, 28 Feb 2009 18:29:46 -0500
> From: alexanderk.hansen <at> gmail.com
> To: peterskurt <at> msn.com
> CC: fink-users <at> lists.sourceforge.net
> Subject: Re: [Fink-users] Still cannot install ffmpeg
>
> KURT PETERS wrote:
> > Sorry if I wasn't clear. That previous problem seems to be overcome.
> > I get a different error now -- with Lame?
> > (I also have to apologize about my previous email, seems Opera is
> > incompatible with my mail tool -- using Safari now).
> >
> > Here's the error:
> > Undefined symbols:
> > "_CFLocaleCopyCurrent", referenced from:
> > __nl_locale_name_default in libintl.a(localename.o)
> > "_CFStringGetTypeID", referenced from:
> > __nl_language_preferences_default in libintl.a(langprefs.o)
> > __nl_language_preferences_default in libintl.a(langprefs.o)
> > "_CFRelease", referenced from:
> > __nl_locale_name_default in libintl.a(localename.o)
> > "_CFGetTypeID", referenced from:
> > __nl_language_preferences_default in libintl.a(langprefs.o)
> > __nl_language_preferences_default in libintl.a(langprefs.o)
> > __nl_language_preferences_default in libintl.a(langprefs.o)
> > "_iconv", referenced from:
> > __nl_find_msg in libintl.a(dcigettext.o)
> > "_CFStringGetCString", referenced from:
> > __nl_locale_name_default in libintl.a(localename.o)
> > __nl_language_preferences_default in libintl.a(langprefs.o)
> > __nl_language_preferences_default in libintl.a(langprefs.o)
> > "___CFConstantStringClassReference", referenced from:
> > __cfstring <at> 0 in libintl.a(langprefs.o)
> > "_CFArrayGetValueAtIndex", referenced from:
> > __nl_language_preferences_default in libintl.a(langprefs.o)
> > __nl_language_preferences_default in libintl.a(langprefs.o)
> > "_CFArrayGetTypeID", referenced from:
> > __nl_language_preferences_default in libintl.a(langprefs.o)
> > "_kCFPreferencesCurrentApplication", referenced from:
> > _kCFPreferencesCurrentApplication$non_lazy_ptr in
> > libintl.a(langprefs.o)
> > "_CFPreferencesCopyAppValue", referenced from:
> > __nl_language_preferences_default in libintl.a(langprefs.o)
> > "_CFArrayGetCount", referenced from:
> > __nl_language_preferences_default in libintl.a(langprefs.o)
> > "_CFLocaleGetIdentifier", referenced from:
> > __nl_locale_name_default in libintl.a(localename.o)
> > "_iconv_open", referenced from:
> > __nl_find_msg in libintl.a(dcigettext.o)
> > __nl_find_msg in libintl.a(dcigettext.o)
> > ld: symbol(s) not found
> > collect2: ld returned 1 exit status
> > make[2]: *** [mp3x] Error 1
> > make[1]: *** [all-recursive] Error 1
> > make: *** [all] Error 2
> > ### execution of make failed, exit code 2
> > Removing runtime build-lock...
> > Removing build-lock package...
> > /sw/bin/dpkg-lockwait -r fink-buildlock-lame-3.96.1-1
> > (Reading database ... 6860 files and directories currently installed.)
> > Removing fink-buildlock-lame-3.96.1-1 ...
> > Failed: phase compiling: lame-3.96.1-1 failed
> >
>
> Your problem looks like what was seen in
> http://article.gmane.org/gmane.os.macosx.fink.beginners/22464 . In that
> thread, the issue appeared to be a non-Fink libintl.la in /usr/local/lib
> (though the original poster never replied back to confirm or refute
> this), so check for that. If that doesn't apply on your system, then
> the next thing we'll want to do is to have you post the line of output
> (meaning starting at the call to gcc) from just before you started
> getting errors
>
> --
> Alexander Hansen
> Fink User Liaison
>
------------------------------------------------------------------------------
Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
-OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
-Strategies to boost innovation and cut costs with open source participation
-Receive a $600 discount off the registration fee with the source code: SFAD
http://p.sf.net/sfu/XcvMzF8H
_______________________________________________
Fink-users mailing list
Fink-users <at> lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/fink-users
Alexander Hansen | 1 Mar 23:03 2009
Picon

Re: Still cannot install ffmpeg

KURT PETERS wrote:
> renaming libintl.la did the trick.  It installs now. 
>
> two more questions, though:
> 1.  At one point in the installation, it asks to keep my old X11 file
> or use the one supplied by FINK.  Since I'm using 10.5 I said "keep
> the one I got".  Is that right?
No idea.  It's hard to tell what happened from a short description,
rather than a literal transcript of the output.

> 2.  Is there a list of codecs I can get (like from medibuntu) or will
> the ffmpeg use the OSX ones for wmvs, mp3s, dvds, etc.?
>
> Regards,
> Kurt
>
There is a list of supported formats from "fink describe ffmpeg". Other than that, I don't know. 
--

-- 
Alexander Hansen
Fink User Liaison

------------------------------------------------------------------------------
Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
-OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
-Strategies to boost innovation and cut costs with open source participation
-Receive a $600 discount off the registration fee with the source code: SFAD
http://p.sf.net/sfu/XcvMzF8H
John E Pearson | 2 Mar 00:47 2009
Picon

Failed: phase installing: fontconfig2-dev-2.4.1-106 failed

I'm trying to run fink update-all and keep getting an error message.

I'm trying to post the output from 

fink but the mailing list doesn't allow lines over 80 characters 

long. I keep getting error 

messages from the mailing list. This is the last bit of output 

 from fink update-all:

"$X11_ROOT/lib/libfontconfig.la" > "$FC_ROOT/lib/libfontconfig.fink.la"

sed: /usr/X11/lib/libfontconfig.la: No such file or directory

### execution of /var/tmp/tmp.1.zq101O failed, exit code 1

Removing runtime build-lock...

Removing build-lock package...

/sw/bin/dpkg-lockwait -r fink-buildlock-fontconfig2-dev-2.4.1-106

(Reading database ... 47358 files and directories currently installed.)

Removing fink-buildlock-fontconfig2-dev-2.4.1-106 ...

Failed: phase installing: fontconfig2-dev-2.4.1-106 failed

------------------------------------------------------------------------------
Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
-OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
-Strategies to boost innovation and cut costs with open source participation
-Receive a $600 discount off the registration fee with the source code: SFAD
http://p.sf.net/sfu/XcvMzF8H
Alexander Hansen | 2 Mar 01:32 2009
Picon

Re: Failed: phase installing: fontconfig2-dev-2.4.1-106 failed

John E Pearson wrote:
> I'm trying to run fink update-all and keep getting an error message.
>
> I'm trying to post the output from 
>
> fink but the mailing list doesn't allow lines over 80 characters 
>
> long. I keep getting error 
>
> messages from the mailing list. This is the last bit of output 
>
>  from fink update-all:
>
> "$X11_ROOT/lib/libfontconfig.la" > "$FC_ROOT/lib/libfontconfig.fink.la"
>
> sed: /usr/X11/lib/libfontconfig.la: No such file or directory
>
> ### execution of /var/tmp/tmp.1.zq101O failed, exit code 1
>
> Removing runtime build-lock...
>
> Removing build-lock package...
>
> /sw/bin/dpkg-lockwait -r fink-buildlock-fontconfig2-dev-2.4.1-106
>
> (Reading database ... 47358 files and directories currently installed.)
>
> Removing fink-buildlock-fontconfig2-dev-2.4.1-106 ...
>
> Failed: phase installing: fontconfig2-dev-2.4.1-106 failed
>
>
>
>   
This has been discussed in a few different guises on these lists; it
hasn't made the FAQ yet.

A recent example, which illustrates two solutions, is at:

http://thread.gmane.org/gmane.os.macosx.fink.user/28145/focus=28146

The choices are to run a script to generate the missing files, or to
update your X11 installation from the stock one. 

--

-- 
Alexander Hansen
Fink User Liaison

------------------------------------------------------------------------------
Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
-OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
-Strategies to boost innovation and cut costs with open source participation
-Receive a $600 discount off the registration fee with the source code: SFAD
http://p.sf.net/sfu/XcvMzF8H
Miguel Ortiz Lombardia | 3 Mar 23:52 2009
Picon

vtk and dynamic libraries

Hello,

I have installed vtk52-cocoa, vtk52-cocoa-dev and vtk52-cocoa-shlibs,  
apparently successfully.
But when running an application that uses vtk I get this error:

   File "/Users/mol/Desktop/ToInstall/test/mod/ 
vtkLoadPythonTkWidgets.py", line 63, in vtkLoadPythonTkWidgets
     interp.call('load', filename)
_tkinter.TclError: couldn't load file  
"libvtkRenderingPythonTkWidgets.dylib":  
dlopen(libvtkRenderingPythonTkWidgets.dylib, 10): image not found

I have tried to find libvtkRenderingPythonTkWidgets.dylib but, not  
surprisingly, it isn't there. Neither in /sw/lib/vtk52-cocoa nor in / 
sw/Library/Python/2.5/site-packages/vtk/.

Any clue?

Thanks,

Miguel
--
Miguel Ortiz Lombardía
Architecture et Fonction des Macromolécules Biologiques
UMR6098 ( CNRS, U. de Provence, U. de la Méditerranée )
Case 932
163 Avenue de Luminy
13288 Marseille cedex 9
France
Tel : +33(0) 491 82 55 93
Fax: +33(0) 491 26 67 20
e-mail: miguel.ortiz-lombardia <at> afmb.univ-mrs.fr
Web: http://www.pangea.org/mol/spip.php?rubrique2

--

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

------------------------------------------------------------------------------
Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
-OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
-Strategies to boost innovation and cut costs with open source participation
-Receive a $600 discount off the registration fee with the source code: SFAD
http://p.sf.net/sfu/XcvMzF8H
Alexander Hansen | 4 Mar 01:18 2009
Picon

Re: vtk and dynamic libraries

Miguel Ortiz Lombardia wrote:
> Hello,
>
> I have installed vtk52-cocoa, vtk52-cocoa-dev and vtk52-cocoa-shlibs,  
> apparently successfully.
> But when running an application that uses vtk I get this error:
>
>    File "/Users/mol/Desktop/ToInstall/test/mod/ 
> vtkLoadPythonTkWidgets.py", line 63, in vtkLoadPythonTkWidgets
>      interp.call('load', filename)
> _tkinter.TclError: couldn't load file  
> "libvtkRenderingPythonTkWidgets.dylib":  
> dlopen(libvtkRenderingPythonTkWidgets.dylib, 10): image not found
>
> I have tried to find libvtkRenderingPythonTkWidgets.dylib but, not  
> surprisingly, it isn't there. Neither in /sw/lib/vtk52-cocoa nor in / 
> sw/Library/Python/2.5/site-packages/vtk/.
>
> Any clue?
>
> Thanks,
>
>
> Miguel
> --
> Miguel Ortiz Lombardía
> Architecture et Fonction des Macromolécules Biologiques
> UMR6098 ( CNRS, U. de Provence, U. de la Méditerranée )
> Case 932
> 163 Avenue de Luminy
> 13288 Marseille cedex 9
> France
> Tel : +33(0) 491 82 55 93
> Fax: +33(0) 491 26 67 20
> e-mail: miguel.ortiz-lombardia <at> afmb.univ-mrs.fr
> Web: http://www.pangea.org/mol/spip.php?rubrique2
>
>
>   
That was supposed to have been installed by vtk52-shlibs:

$ dpkg -L vtk52-shlibs | grep Widg
/sw/lib/vtk52/libvtkRenderingPythonTkWidgets.5.2.1.dylib

Is that package installed?  If not this may indicate a missing dependency.

--

-- 
Alexander Hansen
Fink User Liaison

------------------------------------------------------------------------------
Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
-OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
-Strategies to boost innovation and cut costs with open source participation
-Receive a $600 discount off the registration fee with the source code: SFAD
http://p.sf.net/sfu/XcvMzF8H
Martin Costabel | 4 Mar 01:50 2009
Picon

Re: vtk and dynamic libraries

Miguel Ortiz Lombardia wrote:
> Hello,
> 
> I have installed vtk52-cocoa, vtk52-cocoa-dev and vtk52-cocoa-shlibs,  
> apparently successfully.
> But when running an application that uses vtk I get this error:
> 
>    File "/Users/mol/Desktop/ToInstall/test/mod/ 
> vtkLoadPythonTkWidgets.py", line 63, in vtkLoadPythonTkWidgets
>      interp.call('load', filename)
> _tkinter.TclError: couldn't load file  
> "libvtkRenderingPythonTkWidgets.dylib":  
> dlopen(libvtkRenderingPythonTkWidgets.dylib, 10): image not found
> 
> I have tried to find libvtkRenderingPythonTkWidgets.dylib but, not  
> surprisingly, it isn't there. Neither in /sw/lib/vtk52-cocoa nor in / 
> sw/Library/Python/2.5/site-packages/vtk/.

Indeed. For some reason that I don't understand at the moment, this 
library is built for the X11 and the Carbon variants, but not for the 
Cocoa variant.

--

-- 
Martin

------------------------------------------------------------------------------
Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
-OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
-Strategies to boost innovation and cut costs with open source participation
-Receive a $600 discount off the registration fee with the source code: SFAD
http://p.sf.net/sfu/XcvMzF8H
John Pearson | 4 Mar 01:59 2009
Picon

Re: vtk and dynamic libraries

Would

fink --no-use-binary-dist selfupdate

and then

fink update-all

make sense to insure that all your libraries were compiled locally?

not sure about this at all. I would listen to Alexander Hansen if he weighs in.

On Tue, Mar 3, 2009 at 5:50 PM, Martin Costabel <costabel <at> wanadoo.fr> wrote:
> Miguel Ortiz Lombardia wrote:
>> Hello,
>>
>> I have installed vtk52-cocoa, vtk52-cocoa-dev and vtk52-cocoa-shlibs,
>> apparently successfully.
>> But when running an application that uses vtk I get this error:
>>
>>    File "/Users/mol/Desktop/ToInstall/test/mod/
>> vtkLoadPythonTkWidgets.py", line 63, in vtkLoadPythonTkWidgets
>>      interp.call('load', filename)
>> _tkinter.TclError: couldn't load file
>> "libvtkRenderingPythonTkWidgets.dylib":
>> dlopen(libvtkRenderingPythonTkWidgets.dylib, 10): image not found
>>
>> I have tried to find libvtkRenderingPythonTkWidgets.dylib but, not
>> surprisingly, it isn't there. Neither in /sw/lib/vtk52-cocoa nor in /
>> sw/Library/Python/2.5/site-packages/vtk/.
>
> Indeed. For some reason that I don't understand at the moment, this
> library is built for the X11 and the Carbon variants, but not for the
> Cocoa variant.
>
> --
> Martin
>
> ------------------------------------------------------------------------------
> Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
> -OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
> -Strategies to boost innovation and cut costs with open source participation
> -Receive a $600 discount off the registration fee with the source code: SFAD
> http://p.sf.net/sfu/XcvMzF8H
> _______________________________________________
> Fink-users mailing list
> Fink-users <at> lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/fink-users
>

--

-- 
John E. Pearson

------------------------------------------------------------------------------
Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
-OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
-Strategies to boost innovation and cut costs with open source participation
-Receive a $600 discount off the registration fee with the source code: SFAD
http://p.sf.net/sfu/XcvMzF8H

Gmane